Summary:	Multi-call binary combining many common Unix tools into one executable
Name:		mille-xterm-busybox
Version:	1.1.2
Release:	%mkrel 1
License:	GPL
Group:		Shells
URL:		http://www.busybox.net/
Source0:	http://www.busybox.net/downloads/busybox-%{version}.tar.bz2
Source1:	http://www.busybox.net/downloads/busybox-%{version}.tar.bz2.sign
Source2:	busybox-%{version}.config
Patch0:		udhcp-altport.diff
Patch1:		udhcp-rootpath.diff
BuildRequires:	gcc >= 3.3.1-2mdk
BuildRequires:	uClibc-static-devel >= 0.9.26-5mdk
Provides:	busybox
Obsoletes:	busybox
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BusyBox combines tiny versions of many common UNIX utilities into a single
small executable. It provides minimalist replacements for most of the utilities
you usually find in GNU fileutils, shellutils, etc. The utilities in BusyBox
generally have fewer options than their full-featured GNU cousins; however, the
options that are included provide the expected functionality and behave very
much like their GNU counterparts. BusyBox provides a fairly complete POSIX
environment for any small or embedded system.

BusyBox has been written with size-optimization and limited resources in mind.
It is also extremely modular so you can easily include or exclude commands (or
features) at compile time. This makes it easy to customize your embedded
systems. To create a working system, just add /dev, /etc, and a kernel.

%prep

%setup -q -n busybox-%{version}
%patch0 -p1
%patch1 -p1
cp %{SOURCE2} .config
perl -pi -e "s#-march=i386#-march=i586 -mtune=pentiumpro#g" Rules.mak

%build
make oldconfig
make dep
uclibc make

%install
rm -rf %{buildroot}

install -d %{buildroot}/bin
install -d %{buildroot}%{_mandir}/man1/busybox.1

install -m0755 busybox %{buildroot}/bin/busybox
install -m0644 docs/BusyBox.1 %{buildroot}%{_mandir}/man1/busybox.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README TODO docs/BusyBox.txt
/bin/busybox
%{_mandir}/man1/busybox.1*


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-1mdv2007.0
+ Revision: 118019
- 1.1.2 (cooker sync)
- rediffed the 2 udhcp patches
- Import mille-xterm-busybox



* Thu Jun 23 2005 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.00-0.pre10.7mdk
- add patch for rootpath dhcp parameter

* Thu Jan 27 2005 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.00-0.pre10.6mdk
- use --serverport instead

* Thu Jan 27 2005 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.00-0.pre10.5mdk
- add --port long option

* Thu Jan 27 2005 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.00-0.pre10.4mdk
- add -P option to doc and usage.h too!

* Thu Jan 27 2005 Jean-Michel Dault <jmdault@revolutionlinux.com> 1.00-0.pre10.3mdk
- add -P option to udhcpc

* Mon Jul 19 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.00-0.pre10.2mdk
- move busybox in /bin

* Thu Jun 24 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.00-0.pre10.1mdk
- new version
- add many apps: wget, nfs mount, etc.

* Tue Jan 06 2004 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre5.1mdk
- 1.00-pre5
- Re-generated config to cater for new options since pre4

* Sat Dec 13 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.2mdk
- Updated config to include md5sum applet

* Thu Dec 11 2003 Jaco Greeff <jaco@mandrake.org> 1.00-0.pre4.1mdk
- 1.00-pre4
- Added busybox sign source (Additional verification)
- Re-generated config to cater for new options added since pre3
- Fix rpm naming (s/0.5mdk/0.pre4.1mdk/, Epoch added for clean upgrade)
- Misc. spec fixes

* Mon Sep 22 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.4mdk
- Renamed source1 to keep track with the version
- Builds against uClibc-static-devel now (instead of glibc-static-devel)
  resulting in a much smaller executable size (now only around 36% of
  statically linked glibc size), ideal for use in an initrd

* Mon Sep 15 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.3mdk
- 1.00-pre3
- Renamed man page to busybox
- Updated summary and description

* Tue Sep 02 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.2mdk
- Build with gcc-3.3.1 instead of 2.96 since the internal compiler error
  has been fixed (Added require for this version >= 3.3.1-2mdk)

* Mon Sep 01 2003 Jaco Greeff <jaco@linuxminicd.org> 1.00-0.1mdk
- Initial version, 1.00-pre2
